import { Player, system, EquipmentSlot, world as world } from '@minecraft/server';
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { songsMenu, shop, BankApp, weather, msg, telaport, chess, time, power, appStore, settings, camera, home, getScore, Calculator } from './apps.js'


world.afterEvents.itemUse.subscribe((data) => {

  const { source: player, itemStack: item } = data;

  //THIS IS ITEM USED TO OPEN THE SMARTPHONE MAIN MENU, YOU CAN CHANGE THE ITEM USED TO ANY ITEM ID.
  if (item.typeId == "ml:smartphone") {
    smartphone(player);
  }
});

world.afterEvents.worldInitialize.subscribe((data) => {
  const scoreboard = world.scoreboard.getObjective("money");

  if (scoreboard == undefined) {
    world.scoreboard.addObjective("money");
  } else return;
});

world.afterEvents.playerSpawn.subscribe((data) => {
  const { player } = data;
  const scoreParticipants = world.scoreboard
    .getObjective("money")
    .getParticipants();

  if (!scoreParticipants.includes(player.scoreboardIdentity)) {
    world.scoreboard.getObjective("money").setScore(player, 0);
  }
});


//with it in function its off and sleeping
export function getBatteryValue(player) {
  const playerEq = player.getComponent("equippable");
  const handEquipment = playerEq.getEquipment(EquipmentSlot.Mainhand);

  const durabilityComponent = handEquipment.getComponent("durability");

  const durability = durabilityComponent.maxDurability - durabilityComponent.damage;

  if (!handEquipment || (handEquipment.type.id !== "ml:smartphone" && durability > 0)) return 0;

  //battery math
  const batterypercent = (durability / durabilityComponent.maxDurability) * 100;

  return batterypercent;
}


export function smartphoneoff(player) {

  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


  //POWER BUTTON INDEX 0.
  UI.button("On", "textures/ui/power_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.
  UI.show(player).then((response) => {
    const selection = response.selection;

    //HOME BUTTON FUNCTION, USE THE BUTTON INDEX
    if (selection == 0) {
      smartphone(player);
    }
  });
}
export function smartphone(player) {
  const money = getScore(player, 'money')
  const moneyview = "$" + `${money}`.padStart(9, " ");

  const batterypercent = getBatteryValue(player);
  const battery = `:${batterypercent}`.padStart(4, " ");


  let functions = []
  let actionForm = new ActionFormData()
  actionForm.title(`Smartphone`)
  actionForm.body(battery + moneyview)



  actionForm.button("AAAA", "textures/ui/home_icon")
  actionForm.button("dummy")
  actionForm.button("dummy")

  for (let b = 0; b < 3; b++) {
    if (b == 0) {
      functions.push((r) => {
        smartphone(player);
      });
    } else {
      functions.push((r) => { });
    }
  }
  if (player.hasTag("Home_app")) {
    actionForm.button("HomeTp", "textures/ui/home_icon")
    functions.push(r => {
      home(player)
    })
  }
  if (player.hasTag("store_app")) {
    actionForm.button("Shopping", "textures/ui/cart_icon")
    functions.push(r => {
      shop(player)
    })
  }
  if (player.hasTag("music_app")) {
    actionForm.button("Music", "textures/ui/song_icon")
    functions.push(r => {
      songsMenu(player)
    })
  }
  if (player.hasTag("time_app")) {
    actionForm.button("Time", "textures/ui/clockicon")
    functions.push(r => {
      time(player)
    })
  }
  if (player.hasTag("weather_app")) {
    actionForm.button("Weather", "textures/ui/weather_icon")
    functions.push(r => {
      weather(player)
    })
  }
  if (player.hasTag("msg_app")) {
    actionForm.button("Msg", "textures/ui/dialog_icon")
    functions.push(r => {
      msg(player)
    })
  }
  if (player.hasTag("tp_app")) {
    actionForm.button("Teleport", "textures/ui/teleport_icon")
    functions.push(r => {
      telaport(player)
    })
  }
  if (player.hasTag("chess_app")) {
    actionForm.button("Chess", "textures/ui/chess_icon")
    functions.push(r => {
      chess(player)
    })
  }
  if (player.hasTag("calculator_app")) {
    actionForm.button("Calculator", "textures/ui/calculator_icon")
    functions.push(r => {
      Calculator(player)
    })
  }

  {
    actionForm.button("Banking", "textures/ui/money_icon")
    functions.push(r => {
      BankApp(player)
    })
  }
  {
    actionForm.button("AppStore", "textures/ui/appstoreicon")
    functions.push(r => {
      appStore(player)
    })
  }
  {
    actionForm.button("Camera", "textures/ui/cameraicon")
    functions.push(r => {
      smartphone(player)
    })
  }
  {
    actionForm.button("Settings", "textures/ui/settingsicon")
    functions.push(r => {
      settings(player)
    })
  }
  {
    actionForm.button("Power", "textures/ui/power_icon")
    functions.push(r => {
      power(player)
    })
  }
  actionForm.show(player).then(r => {
    functions[r.selection]()
  })
}