//Apps For the phone

import { world as world } from "@minecraft/server";
import { Player } from '@minecraft/server';
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { smartphone } from './Main.js'
import { smartphoneoff } from './Main.js'

export function getScore(player, objective) {
	try {
		return world.scoreboard.getObjective(objective).getScore(player);
	} catch {
		return 0
	}
}
export function home(player) {

	const playerSpawnPoint = player.getSpawnPoint() ?? player.location;

	player.runCommandAsync(
		`tp ${player.name} ${playerSpawnPoint.x} ${playerSpawnPoint.y} ${playerSpawnPoint.z}`
	);
}
let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
	const player = eventData.source;
	let DBname = player.nameTag;
	expression[DBname] = "0";
});
export function BackButton(player) {
	if (player.hasTag('Back0')) {
		phoneScreen0(player)
	}
	if (player.hasTag('Back1')) {
		phoneScreen1(player)
	}
	if (player.hasTag('Back2')) {
		phoneScreen2(player)
	}
}
export function evaluateExpression(expression, player) {
	let DBname = player.nameTag
	const tokens = expression[DBname].split(" ");

	let result = parseFloat(tokens[0]);
	let operator = null;

	for (let i = 1; i < tokens.length; i++) {
		if (["+", "-", "x", "÷"].includes(tokens[i])) {
			operator = tokens[i];
		} else {
			const number = parseFloat(tokens[i]);

			if (operator === "+") {
				result += number;
			} else if (operator === "-") {
				result -= number;
			} else if (operator === "x") {
				result *= number;
			} else if (operator === "÷") {
				if (number === 0) {
					throw new Error("Division by zero");
				}
				result /= number;
			}

			operator = null;
		}
	}

	return result;
}

export function Calculator(player) {
	let DBname = player.nameTag;
	const calculator = new ActionFormData().title("Calculator").body(`${expression[DBname]}`);

	for (let i = 0; i <= 9; i++) {
		calculator.button(i.toString());
	}

	const operators = ["+", "-", "x", "÷"];
	operators.forEach((op) => calculator.button(op));

	calculator.button("=");
	calculator.button("AC");
	calculator.button("", "textures/icon/web_icon");
	calculator.button("", "textures/icon/emerald_icon");
	calculator.button("", "textures/icon/report_bug");
	calculator.button("", "textures/icon/cross_icon");
	calculator.button("", "textures/ui/home_icon");

	calculator.show(player).then((response) => {
		if (response.canceled) {
			expression[DBname] = "0";
			return;
		}

		const selection = response.selection;

		if (selection >= 0 && selection <= 9) {
			if (expression[DBname] == "0") {
				expression[DBname] = "";
			}
			expression[DBname] += selection.toString();
		} else if (selection >= 10 && selection <= 13) {
			expression[DBname] += ` ${operators[selection - 10]} `;
		} else if (selection === 14) {
			try {
				const result = evaluateExpression(expression, player);
				expression[DBname] = result.toString();
			} catch (error) {
				expression[DBname] = "Error";
			}
		} else if (selection === 15) {
			expression[DBname] = "0";
		} else if (selection === 16) {
			expression[DBname] = "0";
			BackButton(player);
		} else if (selection === 17) {
			expression[DBname] = "0";
			BackButton(player);
		} else if (selection === 18) {
			expression[DBname] = "0";

			BackButton(player);
		} else if (selection === 19) {
			expression[DBname] = "0";

			BackButton(player);
		}
		if (selection != 16 && selection != 17 && selection != 18 && selection != 19) {
			Calculator(player);
		}

		if (selection == 20) {
			smartphone(player);
		}
	});
}

export function settings(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");

	let functions = []
	let actionForm = new ActionFormData()
	actionForm.title(`Smartphone`)
	actionForm.body(battery + moneyview)

	actionForm.button("AAAA", "textures/ui/home_icon")
	actionForm.button("dummy")
	actionForm.button("dummy")

	for (let b = 0; b < 3; b++) {
		if (b == 0) {
			functions.push((r) => {
				smartphone(player);
			});
		} else {
			functions.push((r) => { });
		}
	}
	{
		actionForm.button("Uninstall", "textures/ui/delete_icon")
		functions.push(r => {
			uninstall(player)
		})
	}
	if (!player.hasTag("want_notific")) {
		actionForm.button("enable_notification", "textures/ui/notificationoff_icon")
		functions.push(r => {
			player.runCommand("tag @s add want_notific")
			settings(player)
		})
	}
	if (player.hasTag("want_notific")) {
		actionForm.button("disable_notification", "textures/ui/notificationon_icon")
		functions.push(r => {
			player.runCommand("tag @s remove want_notific")
			settings(player)
		})
	}
	if (player.hasTag("admin")) {
		actionForm.button("AdminTools", "textures/ui/lock_icon")
		functions.push(r => {
			admin(player)
		})
	}
	actionForm.show(player).then(r => {
		functions[r.selection]()
	})
}
export function uninstall(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");

	let functions = []
	let actionForm = new ActionFormData()
	actionForm.title(`Smartphone`)
	actionForm.body(battery + moneyview)


	actionForm.button("AAAA", "textures/ui/home_icon")
	actionForm.button("dummy")
	actionForm.button("dummy")

	for (let b = 0; b < 3; b++) {
		if (b == 0) {
			functions.push((r) => {
				smartphone(player);
			});
		} else {
			functions.push((r) => { });
		}
	}
	{
		actionForm.button("Return", "textures/ui/return_icon")
		functions.push(r => {
			settings(player)
		})
	}
	if (player.hasTag("Home_app")) {
		actionForm.button("Remove", "textures/ui/home_icon")
		functions.push(r => {
			removehome(player)

		})
	}
	if (player.hasTag("store_app")) {
		actionForm.button("Remove", "textures/ui/cart_icon")
		functions.push(r => {
			removestore(player)

		})
	}
	if (player.hasTag("music_app")) {
		actionForm.button("Remove", "textures/ui/song_icon")
		functions.push(r => {
			removemusic(player)

		})
	}
	if (player.hasTag("time_app")) {
		actionForm.button("Remove", "textures/ui/clockicon")
		functions.push(r => {
			removetime(player)

		})
	}
	if (player.hasTag("weather_app")) {
		actionForm.button("Remove", "textures/ui/weather_icon")
		functions.push(r => {
			removeweather(player)

		})
	}
	if (player.hasTag("msg_app")) {
		actionForm.button("Remove", "textures/ui/dialog_icon")
		functions.push(r => {
			removemsg(player)

		})
	}
	if (player.hasTag("tp_app")) {
		actionForm.button("Remove", "textures/ui/teleport_icon")
		functions.push(r => {
			removetp(player)

		})
	}
	if (player.hasTag("chess_app")) {
		actionForm.button("Remove", "textures/ui/chess_icon")
		functions.push(r => {
			removechess(player)

		})
	}
	if (player.hasTag("calculator_app")) {
		actionForm.button("Remove", "textures/ui/calculator_icon")
		functions.push(r => {
			removecalculator(player)

		})
	}
	actionForm.show(player).then(r => {
		functions[r.selection]()
	})
}
export function removehome(player) {
	if (player.hasTag('Home_app')) {
		player.removeTag('Home_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('Home_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removestore(player) {
	if (player.hasTag('store_app')) {
		player.removeTag('store_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('store_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}

export function removemusic(player) {
	if (player.hasTag('music_app')) {
		player.removeTag('music_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('music_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removetime(player) {
	if (player.hasTag('time_app')) {
		player.removeTag('time_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('time_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removeweather(player) {
	if (player.hasTag('weather_app')) {
		player.removeTag('weather_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('weather_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removemsg(player) {
	if (player.hasTag('msg_app')) {
		player.removeTag('msg_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('msg_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removetp(player) {
	if (player.hasTag('tp_app')) {
		player.removeTag('tp_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('tp_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removechess(player) {
	if (player.hasTag('chess_app')) {
		player.removeTag('chess_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('chess_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function removecalculator(player) {
	if (player.hasTag('calculator_app')) {
		player.removeTag('calculator_app');
		player.sendMessage({ translate: "text.app_removed_succesfully" });
		player.playSound("random.level_up");
		uninstall(player)
	} else if (!player.hasTag('calculator_app')) {
		player.sendMessage({ translate: "text.you_already_remove_this_app" });
		uninstall(player)
	}
}
export function admin(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");

	let functions = []
	let actionForm = new ActionFormData()
	actionForm.title(`Smartphone`)
	actionForm.body(battery + moneyview)
	actionForm.button("AAAA", "textures/ui/home_icon")
	actionForm.button("dummy")
	actionForm.button("dummy")

	for (let b = 0; b < 3; b++) {
		if (b == 0) {
			functions.push((r) => {
				smartphone(player);
			});
		} else {
			functions.push((r) => { });
		}
	}
	{
		actionForm.button("Teleport", "textures/ui/teleport_icon")
		functions.push(r => {
			telaport(player)
		})
	}
	{
		actionForm.button("Weather", "textures/ui/weather_icon")
		functions.push(r => {
			weather(player)
		})
	}
	{
		actionForm.button("Time", "textures/ui/clockicon")
		functions.push(r => {
			time(player)
		})
	}
	{
		actionForm.button("Gmode", "textures/ui/gmode")
		functions.push(r => {
			Gmode(player)
		})
	}
	if (!player.hasTag("yes_alawaysday")) {
		actionForm.button("enable_alwaysday", "textures/ui/notificationoff_icon")
		functions.push(r => {
			player.runCommand("tag @p add yes_alawaysday")
			player.runCommand("alwaysday true")
			admin(player)
		})
	}
	if (player.hasTag("yes_alawaysday")) {
		actionForm.button("disable_alwaysday", "textures/ui/notificationon_icon")
		functions.push(r => {
			player.runCommand("tag @p remove yes_alawaysday")
			player.runCommand("alwaysday false")
			admin(player)
		})
	}
	if (!player.hasTag("yes_tp")) {
		actionForm.button("enable_TP", "textures/ui/notificationoff_icon")
		functions.push(r => {
			player.runCommand("tag @a add yes_tp")
			admin(player)
		})
	}
	if (player.hasTag("yes_tp")) {
		actionForm.button("disable_TP", "textures/ui/notificationon_icon")
		functions.push(r => {
			player.runCommand("tag @a remove yes_tp")
			admin(player)
		})
	}
	if (!player.hasTag("yes_weather")) {
		actionForm.button("enable_weather", "textures/ui/notificationoff_icon")
		functions.push(r => {
			player.runCommand("tag @a add yes_weather")
			admin(player)
		})
	}
	if (player.hasTag("yes_weather")) {
		actionForm.button("disable_weather", "textures/ui/notificationon_icon")
		functions.push(r => {
			player.runCommand("tag @a remove yes_weather")
			admin(player)
		})
	}
	if (!player.hasTag("yes_time")) {
		actionForm.button("enable_time", "textures/ui/notificationoff_icon")
		functions.push(r => {
			player.runCommand("tag @a add yes_time")
			admin(player)
		})
	}
	if (player.hasTag("yes_time")) {
		actionForm.button("disable_time", "textures/ui/notificationon_icon")
		functions.push(r => {
			player.runCommand("tag @a remove yes_time")
			admin(player)
		})
	}
	{
		actionForm.button("Back", "textures/ui/return_icon")
		functions.push(r => {
			settings(player)
		})
	}
	actionForm.show(player).then(r => {
		functions[r.selection]()
	})
}

export function appStore(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('McApp Shop')
		.body(battery + moneyview)
		.button("Home", "textures/ui/home_icon")
		.button("Storeapp $8", "textures/ui/cart_icon")
		.button("MusicApp $8", "textures/ui/song_icon")
		.button("WeatherApp $8", "textures/ui/weather_icon")
		.button("MsgApp $8", "textures/ui/dialog_icon")
		.button("TelaportApp $8", "textures/ui/teleport_icon")
		.button("TimeApp $8", "textures/ui/clockicon")
		.button("ChessApp $8", "textures/ui/chess_icon")
		.button("HomeApp $8", "textures/ui/home_icon")
		.button("CalculatorApp $8", "textures/ui/calculator_icon")


	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 10) {
			player.runCommandAsync(`tag @s add store_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 1 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 1 && player.hasTag('store_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 2 && money >= 10) {
			player.runCommandAsync(`tag @s add music_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 2 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 2 && player.hasTag('music_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 3 && money >= 10 && player.hasTag('yes_weather')) {
			player.runCommandAsync(`tag @s add weather_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 3 && money <= 9 && player.hasTag('yes_weather')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 3 && player.hasTag('weather_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 3 && !player.hasTag('yes_weather')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"Need Admin Permission Turn On in Admin settings "}]}`)
			appStore(player)
		}
		if (r.selection === 4 && money >= 10) {
			player.runCommandAsync(`tag @s add msg_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 4 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 4 && player.hasTag('msg_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 5 && money >= 10 && player.hasTag('yes_tp')) {
			player.runCommandAsync(`tag @s add tp_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 5 && money <= 9 && player.hasTag('yes_tp')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 5 && player.hasTag('tp_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 5 && !player.hasTag('yes_tp')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"Need Admin Permission Turn On in Admin settings"}]}`)
			appStore(player)
		}
		if (r.selection === 6 && money >= 10 && player.hasTag('yes_time')) {
			player.runCommandAsync(`tag @s add time_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 6 && money <= 9 && player.hasTag('yes_time')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 6 && player.hasTag('time_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 6 && !player.hasTag('yes_time')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"Need Admin Permission Turn On in Admin settings"}]}`)
			appStore(player)
		}
		if (r.selection === 7 && money >= 10) {
			player.runCommandAsync(`tag @s add chess_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 7 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 7 && player.hasTag('chess_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 8 && money >= 10) {
			player.runCommandAsync(`tag @s add Home_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 8 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 8 && player.hasTag('home_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
		if (r.selection === 9 && money >= 10) {
			player.runCommandAsync(`tag @s add calculator_app`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"app_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			appStore(player)
		}
		if (r.selection === 9 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"not_enought_money"}]}`)
			appStore(player)
		}
		if (r.selection === 9 && player.hasTag('calculator_app')) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"you_already_have_this_app"}]}`)
			appStore(player)
		}
	})
}
export function camera(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore = world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Music App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.
	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	//SONG1 BUTTON INDEX 0.
	UI.button("camera", "textures/ui/song_icon");



	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommandAsync(`playsound record.mall @p`);
			camera(player);
		}
	});
}
export function songsMenu(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore = world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Music App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.
	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	//SONG1 BUTTON INDEX 0.
	UI.button("Song 1", "textures/ui/song_icon");

	//SONG2 BUTTON INDEX 1.
	UI.button("Song 2", "textures/ui/song_icon");

	//SONG3 BUTTON INDEX 2.
	UI.button("Song 3", "textures/ui/song_icon");

	UI.button("Song 4", "textures/ui/song_icon");

	UI.button("PopRadio", "textures/ui/song_icon");

	UI.button("PopRadio2", "textures/ui/song_icon");

	//SONG3 BUTTON INDEX 3.
	UI.button("Stop", "textures/ui/song_icon");



	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommandAsync(`playsound record.mall @p`);
			songsMenu(player);
		}
		if (selection == 4) {
			player.runCommandAsync(`playsound record.mellohi @p `);
			songsMenu(player);
		}
		if (selection == 5) {
			player.runCommandAsync(`playsound record.otherside @p`);
			songsMenu(player);
		}
		if (selection == 6) {
			player.runCommandAsync(`playsound gta @p`);
			songsMenu(player);
		}
		if (selection == 7) {
			player.runCommandAsync(`playsound radio1 @p `);
			player.runCommandAsync(`playsound radio1 @p `);
			songsMenu(player);
		}
		if (selection == 8) {
			player.runCommandAsync(`playsound radio2 @p`);
			songsMenu(player);
		}
		if (selection == 9) {
			player.runCommandAsync(`stopsound @p`);
			songsMenu(player);
		}
	});
}

export function mcgrub(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('McGrub Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Burger $8", "textures/ui/burgericon")

		.button("Pizza $20", "textures/ui/cookedpizza_icon")

		.button("Nuget 5/$8", "textures/ui/chickennugget_icon")

		.button("Wings 5/$7", "textures/ui/chickenwing_icon")

		.button("Frys $3", "textures/ui/frys_icon")

		.button("ChoclateI $2", "textures/ui/chocolateicecream_icon")

		.button("Icecream $2", "textures/ui/icecream_icon")

		.button("StrawberryI $2", "textures/ui/strawberryicecream_icon")

		.button("Coke $1", "textures/ui/coke_icon")

		.button("Rootbeer $1", "textures/ui/rootbeer_icon")

		.button("Soda $1", "textures/ui/soda_icon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 8) {
			player.runCommandAsync(`give @s ml:burger 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 1 && money <= 7) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}

		if (r.selection === 2 && money >= 20) {
			player.runCommandAsync(`give @s ml:cookedpizza 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 20`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 2 && money <= 19) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 3 && money >= 8) {
			player.runCommandAsync(`give @s ml:chickennugget 5`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 8`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 3 && money <= 7) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 4 && money >= 7) {
			player.runCommandAsync(`give @s ml:chickenwing 5`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 7`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 4 && money <= 6) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 5 && money >= 3) {
			player.runCommandAsync(`give @s ml:frys 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 3`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 5 && money <= 2) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 6 && money >= 2) {
			player.runCommandAsync(`give @s ml:chocolateicecream 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 2`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 6 && money <= 1) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 7 && money >= 2) {
			player.runCommandAsync(`give @s ml:icecream 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 2`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 7 && money <= 1) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 8 && money >= 2) {
			player.runCommandAsync(`give @s ml:strawberryicecream 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 2`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 8 && money <= 1) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 9 && money >= 1) {
			player.runCommandAsync(`give @s ml:coke 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 1`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 9 && money <= 0) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 10 && money >= 1) {
			player.runCommandAsync(`give @s ml:rootbeer 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 1`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 10 && money <= 0) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 11 && money >= 1) {
			player.runCommandAsync(`give @s ml:soda 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 1`)
			player.playSound("random.levelup")
			mcgrub(player)
		}
		if (r.selection === 11 && money <= 0) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			mcgrub(player)
		}
		if (r.selection === 12) {
			shop(player)
		}
	})
}
export function shop(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore = world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Store App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery + money);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


	//Home button also needs 3 indexes to control
	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	UI.button("Blocks", "textures/ui/blockicon");

	//SONG2 BUTTON INDEX 1.
	UI.button("Food", "textures/ui/foodicon");

	UI.button("Armor", "textures/ui/armoricon");

	UI.button("Ores", "textures/ui/oreicon");

	UI.button("Hats", "textures/ui/hat_icon");

	UI.button("McGrubHub", "textures/ui/burgericon");

	UI.button("Furniture", "textures/ui/furnitureicons/tableicon");

	UI.button("Vehicles", "textures/ui/vehiclekeyicon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			Block(player);
		}
		if (selection == 4) {
			Food(player);
		}
		if (selection == 5) {
			Armor(player);
		}
		if (selection == 6) {
			Ore(player);
		}
		if (selection == 7) {
			hat(player);
		}
		if (selection == 8) {
			mcgrub(player);
		}
		if (selection == 9) {
			furnitureStore(player);
		}
		if (selection == 10) {
			vehicle(player);
		}
	});
}
export function vehicle(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore = world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Store App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery + money);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


	//Home button also needs 3 indexes to control
	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	UI.button("Trucks", "textures/ui/truckicon");

	//SONG2 BUTTON INDEX 1.
	UI.button("Bikes", "textures/ui/bikeicon");

	UI.button("Boats", "textures/ui/boaticon");

	UI.button("Planes", "textures/ui/planeicon");

	UI.button("Fuel+Accesories", "textures/ui/vehiclekeyicon");

	UI.button("Return", "textures/ui/return_icon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			trucks(player);
		}
		if (selection == 4) {
			bikes(player);
		}
		if (selection == 5) {
			boats(player);
		}
		if (selection == 6) {
			planes(player);
		}
		if (selection == 7) {
			tools(player);
		}
		if (selection == 8) {
			shop(player);
		}
	});
}
export function trucks(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Truck Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("BlueTruck $10,000", "textures/ui/bluetruckicon")

		.button("RedTruck $10,000", "textures/ui/bluetruckicon")

		.button("PurpleTruck $10,000", "textures/ui/bluetruckicon")

		.button("BlueBronco $10,000", "textures/ui/broncoicon")

		.button("BoatTrailer $5,000", "textures/ui/trailoricon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 10000) {
			player.runCommandAsync(`give @s ml:bluetruck_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			trucks(player)
		}
		if (r.selection === 1 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			trucks(player)
		}
		if (r.selection === 2 && money >= 10000) {
			player.runCommandAsync(`give @s ml:redtruck_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			trucks(player)
		}
		if (r.selection === 2 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			trucks(player)
		}
		if (r.selection === 3 && money >= 10000) {
			player.runCommandAsync(`give @s ml:purpletruck_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			trucks(player)
		}
		if (r.selection === 3 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			trucks(player)
		}
		if (r.selection === 4 && money >= 10000) {
			player.runCommandAsync(`give @s ml:bluebronco_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			trucks(player)
		}
		if (r.selection === 4 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			trucks(player)
		}
		if (r.selection === 5 && money >= 5000) {
			player.runCommandAsync(`give @s ml:trailior_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:trailor 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 5000`)
			player.playSound("random.levelup")
			trucks(player)
		}
		if (r.selection === 5 && money <= 4999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			trucks(player)
		}
		if (r.selection === 6) {
			vehicle(player)
		}
	})
}
export function bikes(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Bike Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Bluebike $10,000", "textures/ui/bikeicon")

		.button("Redbike $10,000", "textures/ui/bikeicon")

		.button("Purplebike $10,000", "textures/ui/bikeicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 10000) {
			player.runCommandAsync(`give @s ml:bluebike_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			bikes(player)
		}
		if (r.selection === 1 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			bikes(player)
		}
		if (r.selection === 2 && money >= 10000) {
			player.runCommandAsync(`give @s ml:redbike_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			bikes(player)
		}
		if (r.selection === 2 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			bikes(player)
		}
		if (r.selection === 3 && money >= 10000) {
			player.runCommandAsync(`give @s ml:purplebike_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			bikes(player)
		}
		if (r.selection === 3 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			bikes(player)
		}
		if (r.selection === 4) {
			vehicle(player)
		}
	})
}
export function boats(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Boat Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Pontoon $15,000", "textures/ui/pontoonicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 15000) {
			player.runCommandAsync(`give @s ml:pontoon_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`give @s ml:boat 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 15000`)
			player.playSound("random.levelup")
			boats(player)
		}
		if (r.selection === 1 && money <= 14999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			boats(player)
		}
		if (r.selection === 2) {
			vehicle(player)
		}
	})
}
export function planes(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Plane Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("SinglePlane $10,000", "textures/ui/planeicon")

		.button("Biplane $15,000", "textures/ui/planeicon")

		.button("PassengerPlane $40,000", "textures/ui/planeicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 10000) {
			player.runCommandAsync(`give @s ml:singleplane_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10000`)
			player.playSound("random.levelup")
			planes(player)
		}
		if (r.selection === 1 && money <= 9999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			planes(player)
		}
		if (r.selection === 2 && money >= 15000) {
			player.runCommandAsync(`give @s ml:biplane_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 15000`)
			player.playSound("random.levelup")
			planes(player)
		}
		if (r.selection === 2 && money <= 14999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			planes(player)
		}
		if (r.selection === 3 && money >= 40000) {
			player.runCommandAsync(`give @s ml:passengerplane_spawn_egg 1`)
			player.runCommandAsync(`give @s ml:engineactivator 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 40000`)
			player.playSound("random.levelup")
			planes(player)
		}
		if (r.selection === 3 && money <= 39999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			planes(player)
		}
		if (r.selection === 4) {
			vehicle(player)
		}
	})
}
export function tools(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Tool Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Fuel $300", "textures/ui/fuelicon")

		.button("AirCan $150", "textures/ui/aircanicon")

		.button("FuelCanDeco $100", "textures/ui/fuelicon")

		.button("OilCanDeco $100", "textures/ui/oilcanicon")

		.button("LargeToolBox $500", "textures/ui/largetoolboxicon")

		.button("SmallToolBox $200", "textures/ui/smalltoolboxicon")

		.button("Drill $50", "textures/ui/drillicon")

		.button("Screwdriver $20", "textures/ui/screwdrivericon")

		.button("Wrench $20", "textures/ui/wrenchicon")

		.button("TrailerTool $10", "textures/ui/trailortoolicon")

		.button("BoatTool $10", "textures/ui/boattoolicon")

		.button("CarBattery $250", "textures/ui/carbatteryicon")

		.button("Tire $100", "textures/ui/tireicon")

		.button("TireStack $300", "textures/ui/tirestackicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 300) {
			player.runCommandAsync(`give @s ml:gascan 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 300`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 1 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 2 && money >= 150) {
			player.runCommandAsync(`give @s ml:aircan 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 150`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 2 && money <= 149) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 3 && money >= 100) {
			player.runCommandAsync(`give @s ml:fuelcan 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 3 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 4 && money >= 100) {
			player.runCommandAsync(`give @s ml:oilcan 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 4 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 5 && money >= 500) {
			player.runCommandAsync(`give @s ml:bigtoolbox 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 500`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 5 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 6 && money >= 200) {
			player.runCommandAsync(`give @s ml:smalltoolbox 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 6 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 7 && money >= 50) {
			player.runCommandAsync(`give @s ml:drill 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 50`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 7 && money <= 49) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 8 && money >= 20) {
			player.runCommandAsync(`give @s ml:screwdriver 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 20`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 8 && money <= 19) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 9 && money >= 20) {
			player.runCommandAsync(`give @s ml:wrench 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 20`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 9 && money <= 19) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 10 && money >= 10) {
			player.runCommandAsync(`give @s ml:trailor 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 10 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 11 && money >= 10) {
			player.runCommandAsync(`give @s ml:boat`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 11 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 12 && money >= 250) {
			player.runCommandAsync(`give @s ml:carbattery 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 250`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 12 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 13 && money >= 100) {
			player.runCommandAsync(`give @s ml:tire 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 13 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}
		if (r.selection === 14 && money >= 300) {
			player.runCommandAsync(`give @s ml:tirestack 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 300`)
			player.playSound("random.levelup")
			tools(player)
		}
		if (r.selection === 14 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tools(player)
		}

		if (r.selection === 15) {
			vehicle(player)
		}
	})
}
export function Block(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()

		.title('Block Shop')
		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Dirt  64 For $30", "textures/ui/dirticon")

		.button("Stone 64 For $70", "textures/ui/stoneicon")

		.button("Coblestone 64 For $75", "textures/ui/cobblestoneicon")

		.button("Brick 64 For $90", "textures/ui/brickicon")

		.button("Glass 64 For $100", "textures/ui/glassicon")

		.button("OakPlank 64 For $80", "textures/ui/oakicon")

		.button("DarkOakPlank 64 For $85", "textures/ui/darkoakicon")

		.button("SprucePlank 64 For $85", "textures/ui/spruceicon")

		.button("JunglePlank 64 For $90", "textures/ui/jungleicon")

		.button("AcaciaPlank 64 For $90", "textures/ui/acaciaicon")

		.button("BirchPlank 64 For $30", "textures/ui/birchicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 30) {
			player.runCommandAsync(`give @s dirt 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 30`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 1 && money <= 29) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}

		if (r.selection === 2 && money >= 70) {
			player.runCommandAsync(`give @s stone 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 70`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 2 && money <= 69) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 3 && money >= 75) {
			player.runCommandAsync(`give @s cobblestone 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 75`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 3 && money <= 74) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 4 && money >= 90) {
			player.runCommandAsync(`give @s brick 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 90`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 4 && money <= 89) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 5 && money >= 100) {
			player.runCommandAsync(`give @s glass 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 5 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		// Wood Section
		if (r.selection === 6 && money >= 80) {
			player.runCommandAsync(`give @s oak_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 80`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 6 && money <= 79) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 7 && money >= 85) {
			player.runCommandAsync(`give @s dark_oak_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 85`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 7 && money <= 84) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 8 && money >= 85) {
			player.runCommandAsync(`give @s spruce_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 85`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 8 && money <= 84) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 9 && money >= 90) {
			player.runCommandAsync(`give @s jungle_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 90`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 9 && money <= 89) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 10 && money >= 90) {
			player.runCommandAsync(`give @s acacia_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 90`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 10 && money <= 89) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 11 && money >= 30) {
			player.runCommandAsync(`give @s birch_planks 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 30`)
			player.playSound("random.levelup")
			Block(player)
		}
		if (r.selection === 11 && money <= 29) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Block(player)
		}
		if (r.selection === 12) {
			shop(player)
		}
	})
}

export function Food(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Food Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Beef 64 For $50", "textures/ui/steakicon")

		.button("Chicken 64 For $30", "textures/ui/chickenicon")

		.button("Cod 64 For $55", "textures/ui/codicon")

		.button("Mutton 64 For $35", "textures/ui/muttonicon")

		.button("Porkchop 64 For $40", "textures/ui/porkchopicon")

		.button("Rabbit 64 For $25", "textures/ui/rabbiticon")

		.button("Salmon 64 For $80", "textures/ui/salmonicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 50) {
			player.runCommandAsync(`give @s cooked_beef 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 50`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 1 && money <= 49) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}

		if (r.selection === 2 && money >= 30) {
			player.runCommandAsync(`give @s cooked_chicken 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 30`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 2 && money <= 29) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 3 && money >= 55) {
			player.runCommandAsync(`give @s cooked_cod 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 55`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 3 && money <= 54) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 4 && money >= 55) {
			player.runCommandAsync(`give @s cooked_mutton 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 55`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 4 && money <= 54) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 5 && money >= 45) {
			player.runCommandAsync(`give @s cooked_porkchop 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 45`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 5 && money <= 44) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 6 && money >= 25) {
			player.runCommandAsync(`give @s cooked_rabbit 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 25`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 6 && money <= 80) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 7 && money >= 79) {
			player.runCommandAsync(`give @s cooked_salmon 64`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 80`)
			player.playSound("random.levelup")
			Food(player)
		}
		if (r.selection === 7 && money <= 84) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Food(player)
		}
		if (r.selection === 8) {
			shop(player)
		}
	})
}

export function Armor(player) {

	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Armor Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Iron Boots $40 ", "textures/ui/ironbootsicon")

		.button("Iron Pants $70 ", "textures/ui/ironleggingsicon")

		.button("Iron ChestPlate $80 ", "textures/ui/ironleggingsicon")

		.button("Iron Helmet $50", "textures/ui/ironhelmeticon")

		.button("Diamond Boots $400 ", "textures/ui/diamondbootsicon")

		.button("Diamond Pants $700 ", "textures/ui/diamondleggingsicon")

		.button("Diamond ChestPlate $800 ", "textures/ui/diamondleggingsicon")

		.button("Diamond Helmet $500 ", "textures/ui/diamondhelmeticon")

		.button("Netherite Boots $2000 ", "textures/ui/netheritebootsicon")

		.button("Netherite Pants $3500", "textures/ui/netheriteleggingsicon")

		.button("Netherite ChestPlate $4000 ", "textures/ui/diamondleggingsicon")

		.button("Netherite Helmet $2500 ", "textures/ui/netheritehelmeticon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {

			smartphone(player)
		}
		if (r.selection === 1 && money >= 40) {
			player.runCommandAsync(`give @s iron_boots 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 40`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 1 && money <= 39) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 2 && money >= 70) {
			player.runCommandAsync(`give @s iron_leggings 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 70`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 2 && money <= 69) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 3 && money >= 80) {
			player.runCommandAsync(`give @s iron_chestplate 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 80`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 3 && money <= 79) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 4 && money >= 50) {
			player.runCommandAsync(`give @s iron_helmet 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 50`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 4 && money <= 49) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 5 && money >= 400) {
			player.runCommandAsync(`give @s diamond_boots 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 400`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 5 && money <= 399) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 6 && money >= 700) {
			player.runCommandAsync(`give @s diamond_leggings 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 400`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 6 && money <= 699) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 7 && money >= 800) {
			player.runCommandAsync(`give @s diamond_chestplate 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 800`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 7 && money <= 799) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 8 && money >= 500) {
			player.runCommandAsync(`give @s diamond_helmet 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 500`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 8 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 9 && money >= 2000) {
			player.runCommandAsync(`give @s netherite_boots 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 2000`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 9 && money <= 1999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 10 && money >= 3500) {
			player.runCommandAsync(`give @s netherite_leggings 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 3500`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 10 && money <= 3499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 11 && money >= 4000) {
			player.runCommandAsync(`give @s netherite_chestplate 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 4000`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 11 && money <= 3999) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 12 && money >= 2500) {
			player.runCommandAsync(`give @s netherite_helmet 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 2500`)
			player.playSound("random.levelup")
			Armor(player)
		}
		if (r.selection === 12 && money <= 2499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Armor(player)
		}
		if (r.selection === 13) {
			shop(player)
		}
	})
}


export function Ore(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Ore Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Netherite $500", "textures/ui/netheriteicon")

		.button("Diamond $100", "textures/ui/diamondicon")

		.button("Emerald $10", "textures/ui/eneraldicon")

		.button("Iron $1", "textures/ui/ironicon")

		.button("Gold $5", "textures/ui/goldicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 500) {
			player.runCommandAsync(`give @s netherite_ingot 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 500`)
			player.playSound("random.levelup")
			Ore(player)
		}
		if (r.selection === 1 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Ore(player)
		}

		if (r.selection === 2 && money >= 100) {
			player.runCommandAsync(`give @s diamond 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			Ore(player)
		}
		if (r.selection === 2 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Ore(player)
		}
		if (r.selection === 3 && money >= 10) {
			player.runCommandAsync(`give @s emerald 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10`)
			player.playSound("random.levelup")
			Ore(player)
		}
		if (r.selection === 3 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Ore(player)
		}
		if (r.selection === 4 && money >= 1) {
			player.runCommandAsync(`give @s iron_ingot 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 1`)
			player.playSound("random.levelup")
			Ore(player)
		}
		if (r.selection === 4 && money <= 0) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Ore(player)
		}
		if (r.selection === 5 && money >= 5) {
			player.runCommandAsync(`give @s gold_ingot 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 5`)
			player.playSound("random.levelup")
			Ore(player)
		}
		if (r.selection === 5 && money <= 4) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Ore(player)
		}
		if (r.selection === 6) {
			shop(player)
		}
	})
}

export function hat(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Hat Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("SnapBackGreen $200", "textures/ui/snapbackgreen_icon")

		.button("SnapBackOrange $200", "textures/ui/snapbackorange_icon")

		.button("SnapBackPurple $200", "textures/ui/snapbackpurple_icon")

		.button("SnapBackRed $200", "textures/ui/snapbackred_icon")

		.button("SnapBackWhite $200", "textures/ui/snapbackwhite_icon")

		.button("SnapBackBlack $200", "textures/ui/snapbackblack_icon")

		.button("SnapBackYellow $200", "textures/ui/snapbackyellow_icon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {

			smartphone(player)
		}
		if (r.selection === 1 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackgreen 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 1 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}

		if (r.selection === 2 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackorange 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 2 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 3 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackpurple 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 3 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 4 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackred 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 4 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 5 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackwhite 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 5 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 6 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackblack 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 6 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 7 && money >= 200) {
			player.runCommandAsync(`give @s marky:snapbackyellow 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			hat(player)
		}
		if (r.selection === 7 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			hat(player)
		}
		if (r.selection === 8) {
			shop(player)
		}
	})
}
export function furnitureStore(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore = world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Furniture Shop");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery + money);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


	UI.button("Home", "textures/ui/home_icon");

	UI.button("Tech", "textures/ui/furnitureicons/pcscreenicon");

	//SONG2 BUTTON INDEX 1.
	UI.button("Appliances", "textures/ui/furnitureicons/microwaveicon");

	UI.button("Furniture", "textures/ui/furnitureicons/tvstandicon");

	UI.button("OutDoor", "textures/ui/furnitureicons/grillicon");

	//SONG4 BUTTON INDEX 2.
	UI.button("Return", "textures/ui/return_icon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {
			tech(player);
		}
		if (selection == 2) {
			appliances(player);
		}
		if (selection == 3) {
			furniture(player);
		}
		if (selection == 4) {
			outdoor(player);
		}
		if (selection == 5) {
			shop(player);
		}
	});
}

export function tech(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Tech Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("PcScreen $200", "textures/ui/furnitureicons/pcscreenicon")

		.button("Tv $200", "textures/ui/furnitureicons/tvscreenicon")

		.button("Computer $200", "textures/ui/furnitureicons/computericon")

		.button("Laptop $200", "textures/ui/furnitureicons/laptopicon")

		.button("Printer $200", "textures/ui/furnitureicons/printericon")

		.button("Router $100", "textures/ui/furnitureicons/routericon")

		.button("Ps1 $250", "textures/ui/furnitureicons/ps1icon")

		.button("Ps2 $300", "textures/ui/furnitureicons/ps2icon")

		.button("Ps3 $350", "textures/ui/furnitureicons/ps3icon")

		.button("Ps4 $400", "textures/ui/furnitureicons/ps4icon")

		.button("Ps5 $500", "textures/ui/furnitureicons/ps5icon")

		.button("Xbox $400", "textures/ui/furnitureicons/xboxicon")

		.button("Ps2Games $50", "textures/ui/furnitureicons/ps2gamesicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 200) {
			player.runCommandAsync(`give @s ml:pcscreen 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 1 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}

		if (r.selection === 2 && money >= 200) {
			player.runCommandAsync(`give @s ml:tvscreen 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 2 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 3 && money >= 500) {
			player.runCommandAsync(`give @s ml:computer 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 500`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 3 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 4 && money >= 400) {
			player.runCommandAsync(`give @s ml:laptop 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 4 && money <= 399) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 5 && money >= 300) {
			player.runCommandAsync(`give @s ml:printer 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 5 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 6 && money >= 100) {
			player.runCommandAsync(`give @s ml:router 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 6 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 7 && money >= 250) {
			player.runCommandAsync(`give @s ml:ps1 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 7 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 8 && money >= 300) {
			player.runCommandAsync(`give @s ml:ps2 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 8 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 9 && money >= 350) {
			player.runCommandAsync(`give @s ml:ps3 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 9 && money <= 349) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 10 && money >= 400) {
			player.runCommandAsync(`give @s ml:ps4 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 10 && money <= 399) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 11 && money >= 500) {
			player.runCommandAsync(`give @s ml:ps5 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 11 && money <= 500) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 12 && money >= 400) {
			player.runCommandAsync(`give @s ml:xbox 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 12 && money <= 399) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 13 && money >= 50) {
			player.runCommandAsync(`give @s ml:ps2games 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			tech(player)
		}
		if (r.selection === 13 && money <= 49) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			tech(player)
		}
		if (r.selection === 14) {
			furnitureStore(player)
		}
	})
}

export function appliances(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Appliance Shop')

		.body(battery + moneyview)
		.button("Home", "textures/ui/home_icon")

		.button("Microwave $200", "textures/ui/furnitureicons/microwaveicon")

		.button("Toaster $80", "textures/ui/furnitureicons/toastericon")

		.button("CoffeeMachine $200", "textures/ui/furnitureicons/coffeemachineicon")

		.button("CuttingBoard $150", "textures/ui/furnitureicons/cuttingboardicon")

		.button("MeatGrinder $200", "textures/ui/furnitureicons/meatgrindericon")

		.button("Sink $300", "textures/ui/furnitureicons/sinkicon")

		.button("Stove $500", "textures/ui/furnitureicons/stoveicon")

		.button("Fridge $500", "textures/ui/furnitureicons/fridgeicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 200) {
			player.runCommandAsync(`give @s ml:microwave 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 1 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}

		if (r.selection === 2 && money >= 80) {
			player.runCommandAsync(`give @s ml:toaster 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 2 && money <= 79) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 3 && money >= 200) {
			player.runCommandAsync(`give @s ml:cofeemachine 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 3 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 4 && money >= 150) {
			player.runCommandAsync(`give @s ml:cuttingboard 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 4 && money <= 149) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 5 && money >= 200) {
			player.runCommandAsync(`give @s ml:meatgrinder 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 5 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 6 && money >= 300) {
			player.runCommandAsync(`give @s ml:sink 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 6 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 7 && money >= 500) {
			player.runCommandAsync(`give @s ml:stove 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 7 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 8 && money >= 500) {
			player.runCommandAsync(`give @s ml:fridge 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			appliances(player)
		}
		if (r.selection === 8 && money <= 499) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			appliances(player)
		}
		if (r.selection === 9) {
			furnitureStore(player)
		}
	})
}

export function furniture(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('Furniture Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Table $200", "textures/ui/furnitureicons/tableicon")

		.button("Tvstand $250", "textures/ui/furnitureicons/tvstandicon")

		.button("BirchBookshelf $150", "textures/ui/furnitureicons/birchbookshelficon")

		.button("DarkBookshelf $200", "textures/ui/furnitureicons/darkoakbookshelficon")

		.button("JungleBookshelf $250", "textures/ui/furnitureicons/junglebookshelficon")

		.button("SpruceBookshelf $200", "textures/ui/furnitureicons/sprucebookshelficon")

		.button("Chair $150", "textures/ui/furnitureicons/chairicon")

		.button("Couch $350", "textures/ui/furnitureicons/couchicon")

		.button("Painting $50", "textures/ui/furnitureicons/paintingicon")

		.button("Mug $10", "textures/ui/furnitureicons/mugicon")

		.button("PizzaBox $5", "textures/ui/furnitureicons/pizzaboxicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 200) {
			player.runCommandAsync(`give @s ml:table 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 1 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}

		if (r.selection === 2 && money >= 250) {
			player.runCommandAsync(`give @s ml:tvstand 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 2 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 3 && money >= 150) {
			player.runCommandAsync(`give @s ml:birchbookshelf 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 3 && money <= 149) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 4 && money >= 200) {
			player.runCommandAsync(`give @s ml:darkoakbookshelf 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 4 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 5 && money >= 250) {
			player.runCommandAsync(`give @s ml:junglebookshelf  1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 5 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 6 && money >= 200) {
			player.runCommandAsync(`give @s ml:sprucebookshelf 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 6 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 7 && money >= 150) {
			player.runCommandAsync(`give @s ml:chair 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 7 && money <= 149) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 8 && money >= 350) {
			player.runCommandAsync(`give @s ml:couch2_spawn_egg 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 8 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 9 && money >= 50) {
			player.runCommandAsync(`give @s ml:picture 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 9 && money <= 49) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 10 && money >= 10) {
			player.runCommandAsync(`give @s ml:mug 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 10 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 11 && money >= 5) {
			player.runCommandAsync(`give @s ml:pizzabox 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			furniture(player)
		}
		if (r.selection === 11 && money <= 4) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			furniture(player)
		}
		if (r.selection === 12) {
			furnitureStore(player)
		}
	})
}
export function outdoor(player) {
	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()
		.title('OutDoor Shop')

		.body(battery + moneyview)

		.button("Home", "textures/ui/home_icon")

		.button("Bench $200", "textures/ui/furnitureicons/benchicon")

		.button("Swing $250", "textures/ui/furnitureicons/swingicon")

		.button("PicnicTable $200", "textures/ui/furnitureicons/picnictableicon")

		.button("Grill $300", "textures/ui/furnitureicons/grillicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1 && money >= 200) {
			player.runCommandAsync(`give @s ml:bench 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			outdoor(player)
		}
		if (r.selection === 1 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			outdoor(player)
		}

		if (r.selection === 2 && money >= 250) {
			player.runCommandAsync(`give @s ml:swing 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			outdoor(player)
		}
		if (r.selection === 2 && money <= 249) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			outdoor(player)
		}
		if (r.selection === 3 && money >= 200) {
			player.runCommandAsync(`give @s ml:picnictable 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			outdoor(player)
		}
		if (r.selection === 3 && money <= 199) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			outdoor(player)
		}
		if (r.selection === 4 && money >= 300) {
			player.runCommandAsync(`give @s ml:grill 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 200`)
			player.playSound("random.levelup")
			outdoor(player)
		}
		if (r.selection === 4 && money <= 299) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			outdoor(player)
		}
		if (r.selection === 5) {
			furnitureStore(player)
		}
	})
}

export function BankApp(player) {

	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("M&L Banking App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery + money);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");

	//SONG1 BUTTON INDEX 0.
	UI.button("Transfer", "textures/ui/transfericon");

	//SONG2 BUTTON INDEX 1.
	UI.button("Deposit", "textures/ui/depositicon");

	//SONG2 BUTTON INDEX 2.
	UI.button("Withdraw", "textures/ui/depositicon");


	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			Transferapp(player);
		}
		if (selection == 4) {
			Depositapp(player);
		}
		if (selection == 5) {
			Withdraw(player);
		}
	});
}

export function Transferapp(player) {

	let form = new ModalFormData()
	let playerNameList = world.getAllPlayers().map(p => p.name)
	const money = getScore(player, 'money')
	form.title(`Transfer App`)
	form.dropdown("Players Online", playerNameList)

	//Responsevalue0
	form.textField("Amount", "type_here")
	form.show(player).then((response) => {
		if (response.formValues[1]) {
			if (playerNameList[response.formValues[0]] == player.nameTag) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Send Money To Yourself"}]}`)
				Transferapp(player)
			}
			//r.selection === 0 && money >= 30
			if (playerNameList[response.formValues[0]] == player.nameTag && money <= 0) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Send Negative Money To Yourself"}]}`)
				Transferapp(player)
			}
			if (playerNameList[response.formValues[1]] == player.nameTag && money <= 0) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Send Negative Money To Yourself"}]}`)
				Transferapp(player)
			}
			if (playerNameList[response.formValues[0]] !== player.nameTag) {
				///scoreboard players add @s money 10
				player.runCommandAsync(`scoreboard players remove @s money ${response.formValues[1]}`)
				player.runCommandAsync(`scoreboard players add ${playerNameList[response.formValues[0]]} money ${response.formValues[1]}`)
				Transferapp(player)
			}
		}
	})
}

export function Depositapp(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Deposit App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery + money);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");

	UI.button("Iron", "textures/ui/ironicon");

	UI.button("Gold", "textures/ui/goldicon");


	UI.button("Diamond", "textures/ui/diamondicon");


	UI.button("Emerald", "textures/ui/eneraldicon");


	UI.button("Onebill", "textures/ui/onebillicon");


	UI.button("Fivebill", "textures/ui/fivebillicon");


	UI.button("Hundred", "textures/ui/hundredicon");

	UI.button("Ten", "textures/ui/tenbillicon");

	UI.button("Netherite", "textures/ui/netheriteicon");


	UI.button("Return", "textures/ui/return_icon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player)
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommand(`function sell_iron_ingot`)
			Depositapp(player)
		}
		if (selection == 4) {
			player.runCommand(`function sell_gold_ingot`)
			Depositapp(player)
		}
		if (selection == 5) {
			player.runCommand(`function sell_diamond`)
			Depositapp(player)
		}
		if (selection == 6) {
			player.runCommand(`function sell_emerald`)
			Depositapp(player)
		}
		if (selection == 7) {
			player.runCommand(`function sell_onebill`)
			Depositapp(player)
		}
		if (selection == 8) {
			player.runCommand(`function sell_fivebill`)
			Depositapp(player)
		}
		if (selection == 9) {
			player.runCommand(`function sell_hundred`)
			Depositapp(player)
		}
		if (selection == 10) {
			player.runCommand(`function sell_tenbill`)
			Depositapp(player)
		}
		if (selection == 11) {
			player.runCommand(`function sell_netherite`)
			Depositapp(player)
		}
		if (selection == 12) {
			BankApp(player);
		}
	});
}

export function Withdraw(player) {

	const money = getScore(player, 'money')
	const moneyview = "$" + `${money}`.padStart(9, " ");
	const battery = `:${100}`.padStart(4, " ");
	const ui = new ActionFormData()


		.body(battery + moneyview)

		//gives background image using the smartphone title
		.title('Withdraw App')

		//BAttery + Money Display
		.body(battery + moneyview)

		.button("AAAA", "textures/ui/home_icon")
		.button("dummy")
		.button("dummy")

		.button("Hundred", "textures/ui/hundredicon")

		.button("Ten", "textures/ui/tenbillicon")

		.button("Five", "textures/ui/fivebillicon")

		.button("One", "textures/ui/onebillicon")

		.button("Return", "textures/ui/return_icon")

	ui.show(player).then(r => {
		if (r.selection === 0) {
			smartphone(player)
		}
		if (r.selection === 1) {

		}
		if (r.selection === 2) {

		}
		if (r.selection === 3 && money >= 100) {
			player.runCommandAsync(`give @s ml:hundred 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 100`)
			player.playSound("random.levelup")
			Withdraw(player)
		}
		if (r.selection === 3 && money <= 99) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Withdraw(player)
		}
		if (r.selection === 4 && money >= 10) {
			player.runCommandAsync(`give @s ml:tenbill 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 10`)
			player.playSound("random.levelup")
			Withdraw(player)
		}
		if (r.selection === 4 && money <= 9) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Withdraw(player)
		}

		if (r.selection === 5 && money >= 5) {
			player.runCommandAsync(`give @s ml:fivebill 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 5`)
			player.playSound("random.levelup")
			Withdraw(player)
		}
		if (r.selection === 5 && money <= 4) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Withdraw(player)
		}
		if (r.selection === 6 && money >= 1) {
			player.runCommandAsync(`give @s ml:onebill 1`)
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
			player.runCommandAsync(`scoreboard players remove @s money 1`)
			player.playSound("random.levelup")
			Withdraw(player)
		}
		if (r.selection === 6 && money <= 0) {
			player.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
			Withdraw(player)
		}
		if (r.selection === 7) {
			BankApp(player)
		}
	})
}

export function weather(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Weather App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	//bank1 BUTTON INDEX 0.
	UI.button("Clear", "textures/ui/clearicon");

	//bank2 BUTTON INDEX 1.
	UI.button("Rain", "textures/ui/rainicon");

	//bank3 BUTTON INDEX 2.
	UI.button("Thunder", "textures/ui/thundericon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommand("weather clear")
			weather(player)
		}
		if (selection == 4) {
			player.runCommand("weather rain")
			weather(player)
		}
		if (selection == 5) {
			player.runCommand("weather thunder")
			weather(player)
		}
	});
}

export function msg(player) {

	let form = new ModalFormData()
	let playerNameList = world.getAllPlayers().map(p => p.name)
	form.title(`M&L Messaging`)
	form.dropdown("Player's Online", playerNameList)
	form.textField("Message", "type_here")
	form.show(player).then((response) => {
		if (response.formValues[1]) {
			if (playerNameList[response.formValues[0]] == player.nameTag) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Message Your self"}]}`)
				smartphone(player)
			}
			if (playerNameList[response.formValues[0]] !== player.nameTag) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.from_you"},{"text":"§r${playerNameList[response.formValues[0]]}"},{"text":"> "},{"text":"${response.formValues[1]}"}]}`)
				player.runCommand(`tellraw ${playerNameList[response.formValues[0]]} {"rawtext":[{"translate":"text.from"},{"text":" §r${player.nameTag} "},{"translate":"text.to_you"},{"text":"${response.formValues[1]}"}]}`)
				player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ playsound random.notification @s[hasitem={item=ml:smartphone}] ~~~ 1 1`)
				player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ titleraw @s[hasitem={item=ml:smartphone}] actionbar {"rawtext":[{"translate":"text_smartphoneaddon.message"},{"text":"\n"},{"text":" ${player.nameTag} "},{"translate":"text_smartphoneaddon.send_a_message"}]}`)
				smartphone(player)
			}
		}
	})
}

export function telaport(player) {
	let form = new ModalFormData()
	let playerNameList = world.getAllPlayers().map(p => p.name)
	form.title(`Teleport`)
	form.dropdown("Destination", playerNameList)
	form.toggle("Ready?", true)

	form.show(player).then((response) => {
		if (response.formValues[1]) {
			if (playerNameList[response.formValues[0]] == player.nameTag) {
				player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Tp To Yourself"}]}`)
				smartphone(player)
			}
			if (playerNameList[response.formValues[0]] !== player.nameTag) {

				//Tps player chosen from list to set cords
				player.runCommandAsync(`tp @s ${playerNameList[response.formValues[0]]}`)
				smartphone(player)
			}
		}
	})
}

export function chess(player) {
	const UI = new ActionFormData();

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Smartphone");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);



	//bank4 BUTTON INDEX 0.

	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	UI.show(player).then((response) => {
		const selection = response.selection;

		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
	});
}
export function time(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Time Set App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");

	UI.button("Midnight", "textures/ui/midnighticon");

	UI.button("Night", "textures/ui/nighticon");

	UI.button("Sunset", "textures/ui/sunseticon");

	UI.button("Noon", "textures/ui/noonicon");

	UI.button("Sunrise", "textures/ui/sunriseicon");

	UI.button("Day", "textures/ui/dayicon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommand("time set midnight")
			time(player);
		}
		if (selection == 4) {
			player.runCommand("time set night")
			time(player);
		}
		if (selection == 5) {
			player.runCommand("time set sunset")
			time(player);
		}
		if (selection == 6) {
			player.runCommand("time set noon")
			time(player);
		}
		if (selection == 7) {
			player.runCommand("time set sunrise")
			time(player);
		}
		if (selection == 8) {
			player.runCommand("time set day")
			time(player);
		}
	});
}
export function Gmode(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("GameMode Set App");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");

	UI.button("Adventure", "textures/ui/amode");

	UI.button("Creative", "textures/ui/cmode");

	UI.button("Default", "textures/ui/gmode");

	UI.button("Survival", "textures/ui/smode");

	UI.button("Spectator", "textures/ui/spmode");

	UI.button("Return", "textures/ui/return_icon");

	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;
		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			player.runCommand("gamemode adventure @p")
			Gmode(player);
		}
		if (selection == 4) {
			player.runCommand("gamemode creative @p")
			Gmode(player);
		}
		if (selection == 5) {
			player.runCommand("gamemode default @p")
			Gmode(player);
		}
		if (selection == 6) {
			player.runCommand("gamemode survival @p")
			Gmode(player);
		}
		if (selection == 7) {
			player.runCommand("gamemode spectator @p")
			Gmode(player);
		}
		if (selection == 8) {
			admin(player);
		}
	});
}

export function power(player) {
	const UI = new ActionFormData();

	//THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
	const moneyScore =
		world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

	//THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
	UI.title("Smartphone");

	//THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
	const battery = `:${100}`.padStart(4, " ");

	//THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
	const money = "$" + `${moneyScore}`.padStart(9, " ");

	//THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
	UI.body(battery);

	//THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
	//DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.



	//bank4 BUTTON INDEX 1.
	UI.button("AAAA", "textures/ui/home_icon");
	UI.button("dummy");
	UI.button("dummy");


	//TO ADD MORE BUTTONS JUST COPY/PASTE.

	UI.show(player).then((response) => {
		const selection = response.selection;


		if (selection == 0) {
			smartphone(player);
		}
		if (selection == 1) {

		}
		if (selection == 2) {

		}
		if (selection == 3) {
			smartphoneoff(player);
		}
	});
}